Skip to main content
`Ctrl`+`K`

# PCCompositeGetType

Gets the type of composite preconditioner.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCCompositeGetType(PC pc, PCCompositeType *type)

Logically Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- type - `PC_COMPOSITE_ADDITIVE` (default), `PC_COMPOSITE_MULTIPLICATIVE`, `PC_COMPOSITE_SPECIAL`

## See Also

KSP: Linear System Solvers, `PCCOMPOSITE`, `PC_COMPOSITE_ADDITIVE`, `PC_COMPOSITE_MULTIPLICATIVE`, `PC_COMPOSITE_SPECIAL`, `PCCompositeType`, `PCCompositeSetType()`

## Level

advanced

## Location

src/ksp/pc/impls/composite/composite.c

## Implementations

PCCompositeGetType_Composite() in src/ksp/pc/impls/composite/composite.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages